Documentation Index
Fetch the complete documentation index at: https://developer.cregis.com/llms.txt
Use this file to discover all available pages before exploring further.
API URL
POST /api/v2/payout
Request
Request Parameters
| Name | Type | Required | Description |
|---|
| pid | integer(int64) | Yes | WaaS Project ID. Navigate to: “Cregis > WaaS > Your Project > Settings > Developer” |
| wallet_id | integer(int64) | No | The specific payout wallet ID. If empty, use project’s default payout wallet address,You may refer to project creation |
| currency | string | Yes | Token to withdraw (chain_id and token_id) |
| from_address | string | No | Sender address. If empty, use project’s default payout wallet address |
| to_address | string | Yes | Recipient address. Validate address before withdrawal |
| amount | string | Yes | Withdrawal amount |
| callback_url | string | No | Callback URL. WaaS will POST notifications here when transaction is processed,You may refer to Payout notify |
| third_party_id | string | Yes | Unique business ID generated by your system for tracking |
| remark | string | No | Transaction description (max 256 characters) |
| memo | string | No | On-chain memo/tag (only for Ton, Xrp) |
| nonce | string | Yes | 6-character random string |
| timestamp | integer(int64) | Yes | Current timestamp (milliseconds) |
| sign | string | Yes | Digital signature to prevent tampering |
Request Example
{
"pid": 1382528827416576,
"wallet_id": 11434198045401088,
"currency": "144@144",
"from_address": "rhAZ673nG6fSXovPAkw3EcrhKyWwXducoi",
"to_address": "rn5Jyu5J6PG64543KdGvS25rQBYFQo7GLc",
"amount": "1.1",
"remark": "payout",
"memo": "123",
"third_party_id": "c9231e604da54469a735af3f449c880f",
"callback_url": "http://xxx.com/payout/callback",
"nonce": "hwlkk6",
"timestamp": 1688004243314,
"sign": "d6eef2de79e39f434a38efb910213ba6"
}
Response
Response Result
| Name | Type | Description |
|---|
| code | string | Response Code |
| msg | string | Response Message |
| data | object | Response Data Object |
Response data object
| Name | Type | Description |
|---|
| cid | integer(int64) | System Sequence Number |
Response Example
{
"code": "00000",
"msg": "ok",
"data": {
"cid": 1382688606330880
}
}